Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar30
Enum CmrFieldTypeType

    java.lang.Object
      java.lang.Enum<CmrFieldTypeType>
          org.jboss.shrinkwrap.descriptor.api.ejbjar30.CmrFieldTypeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CmrFieldTypeType>

    public enum CmrFieldTypeType

extends java.lang.Enum<CmrFieldTypeType>

This class implements the `cmr-field-typeType` xsd type

Original Documentation:

The cmr-field-type element specifies the class of a
collection-valued logical relationship field in the entity
bean class. The value of an element using cmr-field-typeType
must be either: java.util.Collection or java.util.Set.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_JAVA_UTIL_COLLECTION`
`_JAVA_UTIL_SET`

Method Summary
`static CmrFieldTypeType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static CmrFieldTypeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CmrFieldTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _JAVA_UTIL_COLLECTION

    public static final CmrFieldTypeType _JAVA_UTIL_COLLECTION

### _JAVA_UTIL_SET

    public static final CmrFieldTypeType _JAVA_UTIL_SET

Method Detail

### values

    public static CmrFieldTypeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CmrFieldTypeType c : CmrFieldTypeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CmrFieldTypeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<CmrFieldTypeType>`

### getFromStringValue

    public static CmrFieldTypeType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD